# Run tests in check section
# https://github.com/fogleman/gg/issues/58
%bcond_with check

%global goipath github.com/fogleman/gg
Version:        1.3.0

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go Graphics - 2D rendering in Go with a simple API
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}.


%package devel
Summary:        %{summary}
BuildArch:      noarch

BuildRequires:  golang(github.com/golang/freetype/raster)
BuildRequires:  golang(github.com/golang/freetype/truetype)
BuildRequires:  golang(golang.org/x/image/draw)
BuildRequires:  golang(golang.org/x/image/font)
BuildRequires:  golang(golang.org/x/image/font/basicfont)
BuildRequires:  golang(golang.org/x/image/font/gofont/goregular)
BuildRequires:  golang(golang.org/x/image/math/f64)
BuildRequires:  golang(golang.org/x/image/math/fixed)


%description devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%doc README.md
%license LICENSE.md


%changelog
* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.0-1
- Release 1.3.0

* Wed Mar 06 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Release 1.2.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2.git0e0ff3a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov  5 2018 mosquito <sensor.wen@gmail.com> - 1.1.0-1.20181106gite843337
- Initial package build
